## org.apache.mahout.benchmark
Class VectorBenchmarks

    java.lang.Object
      org.apache.mahout.benchmark.VectorBenchmarks

    public class VectorBenchmarks

extends Object

Field Summary
`static String` `CLUSTERS`
`static String` `CREATE_COPY`
`static String` `CREATE_INCREMENTALLY`
`static String` `DENSE_FN_RAND`
`static String` `DENSE_FN_SEQ`
`static String` `DENSE_VECTOR`
`static String` `RAND_FN_DENSE`
`static String` `RAND_FN_SEQ`
`static String` `RAND_SPARSE_VECTOR`
`static String` `SEQ_FN_DENSE`
`static String` `SEQ_FN_RAND`
`static String` `SEQ_SPARSE_VECTOR`

Constructor Summary
`VectorBenchmarks(int cardinality, int numNonZeros, int numVectors, int numClusters, int opsPerUnit)`

Method Summary
`int` `cIndex(int i)`
`void` `createBenchmark()`
`void` `createData()`
`BenchmarkRunner` `getRunner()`
`void` `incrementalCreateBenchmark()`
`static void` `main(String[] args)`
`String` `toString()`
`int` `vIndex(int i)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLUSTERS

    public static final String CLUSTERS

See Also:
  Constant Field Values

### CREATE_INCREMENTALLY

    public static final String CREATE_INCREMENTALLY

See Also:
  Constant Field Values

### CREATE_COPY

    public static final String CREATE_COPY

See Also:
  Constant Field Values

### DENSE_FN_SEQ

    public static final String DENSE_FN_SEQ

See Also:
  Constant Field Values

### RAND_FN_DENSE

    public static final String RAND_FN_DENSE

See Also:
  Constant Field Values

### SEQ_FN_RAND

    public static final String SEQ_FN_RAND

See Also:
  Constant Field Values

### RAND_FN_SEQ

    public static final String RAND_FN_SEQ

See Also:
  Constant Field Values

### SEQ_FN_DENSE

    public static final String SEQ_FN_DENSE

See Also:
  Constant Field Values

### DENSE_FN_RAND

    public static final String DENSE_FN_RAND

See Also:
  Constant Field Values

### SEQ_SPARSE_VECTOR

    public static final String SEQ_SPARSE_VECTOR

See Also:
  Constant Field Values

### RAND_SPARSE_VECTOR

    public static final String RAND_SPARSE_VECTOR

See Also:
  Constant Field Values

### DENSE_VECTOR

    public static final String DENSE_VECTOR

See Also:
  Constant Field Values

Constructor Detail

### VectorBenchmarks

    public VectorBenchmarks(int cardinality,
                            int numNonZeros,
                            int numVectors,
                            int numClusters,
                            int opsPerUnit)

Method Detail

### createData

    public void createData()

### createBenchmark

    public void createBenchmark()

### incrementalCreateBenchmark

    public void incrementalCreateBenchmark()

### vIndex

    public int vIndex(int i)

### cIndex

    public int cIndex(int i)

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getRunner

    public BenchmarkRunner getRunner()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.